package de.example;

import javax.ejb.Stateless;
import javax.validation.Valid;
import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.core.MediaType;

@Stateless
@Path("greeter")
public class GreeterResource {

    @POST
    @Consumes(MediaType.APPLICATION_JSON)
    public String greet(@Valid Greeting greeting) {
        return "Hello " + greeting.getName() + "!";
    }
}
